Bug 484224 - Failure while partitioning disk (formerly a RHEL4 autopart install)
Failure while partitioning disk (formerly a RHEL4 autopart install)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:09f3b653d9d9c8c77...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 10:38 EST by James Laska
Modified: 2013-09-02 02:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 11:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (129.38 KB, text/plain)
2009-02-05 10:38 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2009-02-05 10:38:34 EST
This bug was filed automatically by anaconda.
Comment 1 James Laska 2009-02-05 10:38:38 EST
Created attachment 330999 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2009-02-05 10:42:23 EST
Snippet of the traceback ...

anaconda 11.5.0.12 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 207, in lvremove
    raise LVRemoveError(vgname, lvname)
  File "/usr/lib/anaconda/partitions.py", line 1781, in doMetaDeletes
    lvm.lvremove(name, vg)
  File "/usr/lib/anaconda/packages.py", line 136, in turnOnFilesystems
    anaconda.id.partitions.doMetaDeletes(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1358, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVRemoveError: lvremove of lv "lv_root" from vg "VolGroup" failed
Log:
   Using logical volume(s) on command line
   Wiping cache of LVM-capable devices
   Couldn't find device with uuid '5j2Qbs-3bpQ-plfB-yKtG-IL0y-xcJz-RlPW1v'.
   Couldn't find device with uuid '9vetDH-7D8d-NK4A-dpJl-vgV9-enjY-uI9fi2'.
   Segment with extent 1192 in PV unknown device not found
   Couldn't read all logical volumes for volume group VolGroup.
   Couldn't find device with uuid '5j2Qbs-3bpQ-plfB-yKtG-IL0y-xcJz-RlPW1v'.
   Couldn't find device with uuid '9vetDH-7D8d-NK4A-dpJl-vgV9-enjY-uI9fi2'.
   Segment with extent 1192 in PV unknown device not found
   Couldn't read all logical volumes for volume group VolGroup.
   Volume group "VolGroup" not found
Comment 3 Chris Lumens 2009-03-18 10:50:52 EDT
Is this still a problem in light of all the new storage code?  I know the Brno guys have been working on some better code to clobber pre-existing volumes.
Comment 4 James Laska 2009-03-18 11:35:00 EDT
Tested a RHEL4 autopart install with:
 1) Rawhide and "Use entire drive"
 2) Rawhide and "Replace existing partitions"

All tests passed using rawhide (anaconda-11.5.0.31 build).

Note You need to log in before you can comment on or make changes to this bug.